liborigin 2.0.0

Classes | Public Types | Public Attributes | List of all members
Origin::SurfaceProperties Struct Reference

`#include <OriginObj.h>`

## Classes
struct | SurfaceColoration

## Public Types
enum | Grids { None , X , Y , XY }
enum | Type { ColorMap3D , ColorFill , WireFrame , Bars }

## Public Attributes
Color | backColor
bool | backColorEnabled
SurfaceColoration | bottomContour
ColorMap | colorMap
Color | frontColor
Color | gridColor
double | gridLineWidth
Grids | grids
bool | sideWallEnabled
SurfaceColoration | surface
SurfaceColoration | topContour
unsigned char | type
Color | xSideWallColor
Color | ySideWallColor

## Member Enumeration Documentation

## ◆ Grids

enum Origin::SurfaceProperties::Grids

Enumerator
None |
X |
Y |
XY |

## ◆ Type

enum Origin::SurfaceProperties::Type

Enumerator
ColorMap3D |
ColorFill |
WireFrame |
Bars |

## Member Data Documentation

## ◆ backColor

Color Origin::SurfaceProperties::backColor

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ backColorEnabled

bool Origin::SurfaceProperties::backColorEnabled

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ bottomContour

SurfaceColoration Origin::SurfaceProperties::bottomContour

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ colorMap

ColorMap Origin::SurfaceProperties::colorMap

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ frontColor

Color Origin::SurfaceProperties::frontColor

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ gridColor

Color Origin::SurfaceProperties::gridColor

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ gridLineWidth

double Origin::SurfaceProperties::gridLineWidth

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ grids

Grids Origin::SurfaceProperties::grids

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ sideWallEnabled

bool Origin::SurfaceProperties::sideWallEnabled

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ surface

SurfaceColoration Origin::SurfaceProperties::surface

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ topContour

SurfaceColoration Origin::SurfaceProperties::topContour

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ type

unsigned char Origin::SurfaceProperties::type

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ xSideWallColor

Color Origin::SurfaceProperties::xSideWallColor

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ ySideWallColor

Color Origin::SurfaceProperties::ySideWallColor

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginObj.h